@import '_content/Havit.Blazor.Components.Web.Bootstrap/Havit.Blazor.Components.Web.Bootstrap.bundle.scp.css';
@import '_content/JLBlazorComponents/JLBlazorComponents.bundle.scp.css';

/* /Pages/CommonDataPage.razor.rz.scp.css */
.background-stateselected[b-u8lpl66qme] {
    background-color: var(--jl-amethyst-500);
    /*background-image: linear-gradient(rgb(126,167,211), rgb(126,167,211));*/
    border: 1px solid black;
    width: 20px;
    height: 20px
}
.background-lawcount[b-u8lpl66qme] {
    background-color: var(--jl-amethyst-100);
    /*background-image: linear-gradient(rgb(126,167,211), rgb(126,167,211));*/
    border: 1px solid black;
    width: 20px;
    height: 20px
}
.background-noapplicablelawcount[b-u8lpl66qme] {
    background-color: var(--bs-gray-400);
    border: 1px solid black;
    width: 20px;
    height: 20px
}
.background-noentrycount[b-u8lpl66qme] {
    background-color: #fff;
    border: 1px solid black;
    width: 20px;
    height: 20px
}

/* /Pages/index.razor.rz.scp.css */
@media screen and (max-height: 600px) {
    .equal-height[b-8g7siaeoun] {
        height: 100px;
    }
}


@media screen and (min-height: 801px) {
    .equal-height[b-8g7siaeoun] {
        height: 125px;
    }
}
[aria-expanded="false"] > .expanded[b-8g7siaeoun],
[aria-expanded="true"] > .collapsed[b-8g7siaeoun] {
    display: none;
}
/* /Pages/MyPreferences.razor.rz.scp.css */
.page-row[b-1zmpcz1o25] {
    top: 3.5rem;
    background-color: var(--app-background)
}
/* /Shared/FAB.razor.rz.scp.css */

.fab-container[b-u8eudram6e] {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    user-select: none;
    position: fixed;
    bottom: 30px;
    right: 10px;
}

    .fab-container:hover[b-u8eudram6e] {
        height: 100%;
    }

        .fab-container:hover .sub-button:nth-child(2)[b-u8eudram6e] {
            transform: translateY(-80px);
        }

        .fab-container:hover .sub-button:nth-child(3)[b-u8eudram6e] {
            transform: translateY(-140px);
        }

        .fab-container:hover .sub-button:nth-child(4)[b-u8eudram6e] {
            transform: translateY(-200px);
        }

        .fab-container:hover .sub-button:nth-child(5)[b-u8eudram6e] {
            transform: translateY(-260px);
        }

        .fab-container:hover .sub-button:nth-child(6)[b-u8eudram6e] {
            transform: translateY(-320px);
        }

    .fab-container .fab[b-u8eudram6e] {
        position: relative;
        height: 65px;
        width: 65px;
        background-color: var(--jl-garnet);
        border-radius: 50%;
        z-index: 2;
    }

        .fab-container .fab[b-u8eudram6e]::before {
            content: " ";
            position: absolute;
            bottom: 0;
            right: 0;
            height: 35px;
            width: 35px;
            background-color: inherit;
            border-radius: 0 0 10px 0;
            z-index: -1;
        }

        .fab-container .fab .fab-content[b-u8eudram6e] {
            display: flex;
            align-items: center;
            justify-content: center;
            height: 100%;
            width: 100%;
            border-radius: 50%;
        }

            .fab-container .fab .fab-content .material-icons[b-u8eudram6e] {
                color: white;
                font-size: 48px;
            }

    .fab-container .sub-button[b-u8eudram6e] {
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;
        bottom: 10px;
        right: 10px;
        height: 50px;
        width: 50px;
        background-color: var(--jl-garnet);
        border-radius: 50%;
        transition: all 0.3s ease;
    }

        .fab-container .sub-button:hover[b-u8eudram6e] {
            cursor: pointer;
        }

        .fab-container .sub-button .material-icons[b-u8eudram6e] {
            color: white;
            /*padding-top: 6px;*/
        }
/* /Shared/LoginDisplay.razor.rz.scp.css */
/*img {
    height: 30px;
}*/
#appHeader img[b-ah5dl8nosm] {
    height: var(--profile-image-size);
    width: var(--profile-image-size);
}
#appHeader.dropdown-toggle[b-ah5dl8nosm]::after{
    color:transparent;
}

#appChanges.dropdown-toggle[b-ah5dl8nosm]::after {
    color: transparent;
}
/* /Shared/MainLayout.razor.rz.scp.css */
.page[b-4b00f7818j] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-4b00f7818j] {
    flex: 1;
}

/*.sidebar {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}*/

.top-row[b-4b00f7818j] {
    background-color: var(--app-background); /* #f7f7f7;*/
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
    z-index: 2000;
}

    .top-row[b-4b00f7818j]  a, .top-row[b-4b00f7818j]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-4b00f7818j]  a:hover, .top-row[b-4b00f7818j]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-4b00f7818j]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row:not(.auth)[b-4b00f7818j] {
        display: none;
    }

    .top-row.auth[b-4b00f7818j] {
        justify-content: space-between;
    }

    .top-row[b-4b00f7818j]  a, .top-row[b-4b00f7818j]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-4b00f7818j] {
        flex-direction: row;
    }

    .sidebar[b-4b00f7818j] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-4b00f7818j] {
        position: sticky;
        top: 0;
        /*z-index: 1;*/
    }

    .top-row.auth[b-4b00f7818j]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-4b00f7818j], article[b-4b00f7818j] {
        padding-left: 2rem !important;
        /*padding-right: 1.5rem !important;*/
    }
}
footer.sticky-footer[b-4b00f7818j] {
    padding: .5rem 0 !important;
    position: fixed;
    bottom: 0;
    width: calc(100% - 4rem);
    z-index: 900;
}
/* /Shared/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-51ho112fah] {
    background-color: rgba(255, 255, 255, 0.1);
}

.top-row[b-51ho112fah] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-51ho112fah] {
    font-size: 1.1rem;
}

.oi[b-51ho112fah], .fa-solid[b-51ho112fah], .fa-regular[b-51ho112fah] {
    width: 2rem;
    font-size: 1.1rem;
    vertical-align: text-top;
    top: -2px;
}

.nav-item[b-51ho112fah] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

.nav-item:first-of-type[b-51ho112fah] {
    padding-top: 1rem;
}

.nav-item:last-of-type[b-51ho112fah] {
    padding-bottom: 1rem;
}

.nav-item[b-51ho112fah]  a {
    color: #d7d7d7;
    border-radius: 4px;
    height: 3rem;
    display: inline-block;
    align-items: center;
    /*line-height: 3rem;*/
}
.nav-item[b-51ho112fah]  a.disabled {
    color: rgba(215,215,215,0.3);
    pointer-events: none;
    cursor: default;
}
.nav-item[b-51ho112fah]  a.active {
    background-color: rgba(255,255,255,0.25);
    color: white;
}

.nav-item[b-51ho112fah]  a:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

@media (min-width: 641px) {
    .navbar-toggler[b-51ho112fah] {
        display: none;
    }

    .collapse[b-51ho112fah] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
}
/*.sidebar {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}*/
.sidebar .nav-item[b-51ho112fah]{
    position: relative;
}
.sidebar .collapse:not(.show)[b-51ho112fah] {
    display: none !important;
}
@media (min-width: 641px) {

    .sidebar[b-51ho112fah] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }
}
@media (min-width: 768px) {
    .sidebar.toggled .nav-item .nav-link[b-51ho112fah] {
        text-align: center !important;
        padding: .75rem 1rem !important;
        width: 5.5rem !important;
    }
    .sidebar.toggled .nav-item .nav-link span[b-51ho112fah] {
        font-size: .65rem;
        display: block;
    }
    .sidebar.toggled .nav-item .collapse[b-51ho112fah] {
        position: absolute;
        left: calc(5.5rem + 1rem / 2);
        z-index: 1;
        top: 2px;
    }
    .sidebar .nav-item .collapse[b-51ho112fah] {
        position: absolute;
        left: calc(250px + 1rem / 2);
        z-index: 1;
        top: 2px;
    }
    .sidebar.toggled .collapse-inner[b-51ho112fah]{
        padding-left:0
    }
    .sidebar .collapse-inner[b-51ho112fah] {
        padding-left: 0.5rem !important;
    }
}
@media (min-width: 768px) {
    .sidebar .nav-item .nav-link[b-51ho112fah] {
        display: block;
        width: 100%;
        text-align: left;
        padding: 1rem;
        width: 14rem;
    }
}
.sidebar #sidebarToggle[b-51ho112fah] {
    width: 2.5rem;
    height: 2.5rem;
    text-align: center;
    margin-bottom: 1rem;
    cursor: pointer;
    transition: all .1s;
}
.sidebar.toggled #sidebarToggle[b-51ho112fah]::after {
    content: "\f105";
    font-family: "Font Awesome 6 Free";
    margin-left: .25rem;
}
.sidebar #sidebarToggle[b-51ho112fah]::after {
    font-weight: 900;
    content: "\f104";
    font-family: "Font Awesome 6 Free";
    margin-right: .1rem;
}
.sidebar-divider[b-51ho112fah] {
    border-top: 1px solid rgba(255,255,255,.15);
    margin: 0 1rem 1rem;
}
@media (min-width: 768px) {
    .sidebar.toggled[b-51ho112fah] {
        width: 6rem !important;
        overflow: visible;
    }
}
/*.sidebar.toggled .sidebar-label{
    display:none;
}*/
.sidebar.toggled .sidebar-brand[b-51ho112fah] {
    display: none;
}
.sidebar.toggled .sidebar-icon[b-51ho112fah] {
    text-align: center !important;
}
/* /Shared/NoNavLayout.razor.rz.scp.css */
.navbar-toggler[b-dk163na8c9] {
    background-color: rgba(255, 255, 255, 0.1);
}

.top-row[b-dk163na8c9] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-dk163na8c9] {
    font-size: 1.1rem;
}

.oi[b-dk163na8c9] {
    width: 2rem;
    font-size: 1.1rem;
    vertical-align: text-top;
    top: -2px;
}

.nav-item[b-dk163na8c9] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-dk163na8c9] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-dk163na8c9] {
        padding-bottom: 1rem;
    }

    .nav-item[b-dk163na8c9]  a {
        color: #d7d7d7;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

        .nav-item[b-dk163na8c9]  a.active {
            background-color: rgba(255,255,255,0.25);
            color: white;
        }

        .nav-item[b-dk163na8c9]  a:hover {
            background-color: rgba(255,255,255,0.1);
            color: white;
        }

@media (min-width: 641px) {
    .navbar-toggler[b-dk163na8c9] {
        display: none;
    }

    .collapse[b-dk163na8c9] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
}
/* /Shared/SiteBanner.razor.rz.scp.css */
/*img {
    height: 30px;
}*/
#appHeader img[b-jziklwkelz] {
    height: var(--profile-image-size);
    width: var(--profile-image-size);
}
#appHeader.dropdown-toggle[b-jziklwkelz]::after{
    color:transparent;
}

#appChanges.dropdown-toggle[b-jziklwkelz]::after {
    color: transparent;
}
